version: '3.7'
networks:
  dev_lamp_net:
    driver: bridge
    ipam:
     driver: default
     config:
       - subnet: 186.10.0.0/22

services:
  php:
    image: php:7.4-apache
    build: ./dockerfiles/apache
    volumes:
      - ./app:/var/www/html
    ports:
      - "8000:80"
    networks:
      dev_lamp_net:

  mysql:
    image: mysql:5.7
    volumes:
      - ./dockerfiles/mysql/initdb.d:/docker-entrypoint-initdb.d
      - ./dockerfiles/mysql/conf.d:/etc/mysql/conf.d
      - ./dockerfiles/mysql/log/mysql:/var/log/mysql
      - ./dockerfiles/mysql/share:/home/docker/share
    environment:
      - MYSQL_ROOT_PASSWORD=p@ssw0rd
      - MYSQL_DATABASE=sampledb
      - MYSQL_USER=user
      - MYSQL_PASSWORD=p@ss
    ports:
      - "33306:3306"
    networks:
      dev_lamp_net:
